package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableObjDoubleConsumer<T, E extends Throwable> {
    public static final FailableObjDoubleConsumer NOP = new FailableObjDoubleConsumer$$ExternalSyntheticLambda0();

    static /* synthetic */ default void lambda$static$0(Object obj, double d) throws Throwable {
    }

    void accept(T t, double d) throws Throwable;

    static default <T, E extends Throwable> FailableObjDoubleConsumer<T, E> nop() {
        return NOP;
    }
}
