package org.lsposed.lspd.hooker;

import android.util.Log;
import de.robv.android.xposed.XC_MethodHook;
import de.robv.android.xposed.XposedBridge;

public class CrashDumpHooker extends XC_MethodHook {
    /* access modifiers changed from: protected */
    @Override // de.robv.android.xposed.XC_MethodHook
    public void beforeHookedMethod(XC_MethodHook.MethodHookParam methodHookParam) throws Throwable {
        try {
            XposedBridge.log("Crash unexpectedly: " + Log.getStackTraceString((Throwable) methodHookParam.args[0]));
        } catch (Throwable unused) {
        }
    }
}
