package org.lsposed.lspd.nativebridge;

import java.lang.reflect.Executable;
import java.lang.reflect.InvocationTargetException;

public class HookBridge {
    public static native Object[] callbackSnapshot(Executable executable);

    public static native boolean deoptimizeMethod(Executable executable);

    public static native boolean hookMethod(Executable executable, Class<?> cls, int i, Object obj);

    public static native boolean instanceOf(Object obj, Class<?> cls);

    public static native Object invokeOriginalMethod(Executable executable, Object obj, Object... objArr) throws IllegalAccessException, IllegalArgumentException, InvocationTargetException;

    public static native boolean setTrusted(Object obj);

    public static native boolean unhookMethod(Executable executable, Object obj);
}
