package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableLongFunction<R, E extends Throwable> {
    public static final FailableLongFunction NOP = new FailableLongFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default Object lambda$static$0(long j) throws Throwable {
        return null;
    }

    R apply(long j) throws Throwable;

    static default <R, E extends Throwable> FailableLongFunction<R, E> nop() {
        return NOP;
    }
}
