package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableLongToDoubleFunction<E extends Throwable> {
    public static final FailableLongToDoubleFunction NOP = new FailableLongToDoubleFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default double lambda$static$0(long j) throws Throwable {
        return 0.0d;
    }

    double applyAsDouble(long j) throws Throwable;

    static default <E extends Throwable> FailableLongToDoubleFunction<E> nop() {
        return NOP;
    }
}
