package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableLongToIntFunction<E extends Throwable> {
    public static final FailableLongToIntFunction NOP = new FailableLongToIntFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default int lambda$static$0(long j) throws Throwable {
        return 0;
    }

    int applyAsInt(long j) throws Throwable;

    static default <E extends Throwable> FailableLongToIntFunction<E> nop() {
        return NOP;
    }
}
