package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableObjIntConsumer<T, E extends Throwable> {
    public static final FailableObjIntConsumer NOP = new FailableObjIntConsumer$$ExternalSyntheticLambda0();

    static /* synthetic */ default void lambda$static$0(Object obj, int i) throws Throwable {
    }

    void accept(T t, int i) throws Throwable;

    static default <T, E extends Throwable> FailableObjIntConsumer<T, E> nop() {
        return NOP;
    }
}
