package org.lsposed.lspatch.share;

import org.lsposed.lspatch.loader.BuildConfig;

public class LSPConfig {
    public static final LSPConfig instance;
    public int API_CODE;
    public int CORE_VERSION_CODE;
    public String CORE_VERSION_NAME;
    public int VERSION_CODE;
    public String VERSION_NAME;

    private LSPConfig() {
    }

    static {
        LSPConfig lSPConfig = new LSPConfig();
        instance = lSPConfig;
        lSPConfig.API_CODE = 93;
        lSPConfig.VERSION_CODE = BuildConfig.VERSION_CODE;
        lSPConfig.VERSION_NAME = BuildConfig.VERSION_NAME;
        lSPConfig.CORE_VERSION_CODE = 6712;
        lSPConfig.CORE_VERSION_NAME = "1.8.6";
    }
}
