package pxb.android.arsc;

import java.util.TreeMap;

public class Pkg {
    public final int id;
    public String name;
    public TreeMap<Integer, Type> types = new TreeMap<>();

    public Pkg(int i, String str) {
        this.id = i;
        this.name = str;
    }

    public Type getType(int i, String str, int i2) {
        Type type = this.types.get(Integer.valueOf(i));
        if (type == null) {
            Type type2 = new Type();
            type2.id = i;
            type2.name = str;
            type2.specs = new ResSpec[i2];
            this.types.put(Integer.valueOf(i), type2);
            return type2;
        } else if (str == null) {
            return type;
        } else {
            if (type.name == null) {
                type.name = str;
            } else if (!str.endsWith(type.name)) {
                throw new RuntimeException();
            }
            if (type.specs.length == i2) {
                return type;
            }
            throw new RuntimeException();
        }
    }
}
