package rikka.parcelablelist;

import android.os.Parcel;
import android.os.Parcelable;
import java.util.Collections;
import java.util.List;

public class StringListSlice extends BaseParcelableListSlice<String> {
    public static final Parcelable.Creator<StringListSlice> CREATOR = new Parcelable.Creator<StringListSlice>() {
        /* class rikka.parcelablelist.StringListSlice.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public StringListSlice createFromParcel(Parcel parcel) {
            return new StringListSlice(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public StringListSlice[] newArray(int i) {
            return new StringListSlice[i];
        }
    };

    public int describeContents() {
        return 0;
    }

    public static StringListSlice emptyList() {
        return new StringListSlice(Collections.emptyList());
    }

    public StringListSlice(List<String> list) {
        super(list);
    }

    private StringListSlice(Parcel parcel) {
        super(parcel);
    }

    @Override // rikka.parcelablelist.BaseParcelableListSlice
    public String readElement(Parcel parcel) {
        return parcel.readString();
    }

    public void writeElement(String str, Parcel parcel, int i) {
        parcel.writeString(str);
    }
}
